%define srcname xf86-video-fbdev
%define _modulesdir %_libdir/X11/modules

Name: xorg-x11-drv-fbdev
Version: 0.3.0
Release: alt1
Serial: 1
Summary: video driver for framebuffer device
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-fbdev
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
fbdev  is an Xorg driver for framebuffer devices.  This is a
non-accelerated driver, the following framebuffer depths are supported:
8,  15,  16, 24.  All visual types are supported for depth 8, and True-
Color visual is supported for the other depths.  Multi-head  configura-
tions are supported.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/drivers/*.so
%_man4dir/*

%changelog
* Fri May 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.3.0-alt1
- 0.3.0

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.0-alt1
- 0.2.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.0.2-alt0.1
- initial release

